> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Verify profile

> Creates a new Verify profile to associate verifications with.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/verify.yml post /verify_profiles
openapi: 3.1.0
info:
  title: Telnyx Verify API
  version: 2.0.0
  description: API for Verify.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /verify_profiles:
    post:
      tags:
        - Verify
      summary: Create a Verify profile
      description: Creates a new Verify profile to associate verifications with.
      operationId: CreateVerifyProfile
      requestBody:
        content:
          application/json:
            schema:
              title: Create Verify Profile Request
              type: object
              required:
                - name
              properties:
                name:
                  example: Test Profile
                  type: string
                language:
                  type: string
                  example: en-US
                webhook_url:
                  type: string
                  example: http://example.com/webhook
                webhook_failover_url:
                  type: string
                  example: http://example.com/webhook/failover
                sms:
                  $ref: '#/components/schemas/CreateVerifyProfileSMSRequest'
                  type: object
                  additionalProperties: true
                call:
                  $ref: '#/components/schemas/CreateVerifyProfileCallRequest'
                  type: object
                  additionalProperties: true
                flashcall:
                  $ref: '#/components/schemas/CreateVerifyProfileSettingsRequest'
                  type: object
                  additionalProperties: true
                whatsapp:
                  $ref: >-
                    #/components/schemas/CreateVerifyProfileSettingsWhatsAppRequest
                  type: object
                  additionalProperties: true
                daily_spend_limit_enabled:
                  type: boolean
                  default: false
                  description: >-
                    Whether the daily spend limit is enforced for this verify
                    profile.
                  example: true
                daily_spend_limit:
                  type: number
                  minimum: 0
                  description: >-
                    The maximum daily spend allowed on this verify profile, in
                    USD.
                  example: 100
        required: true
      responses:
        '200':
          description: Expected Verify profile response to a valid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VerifyProfileResponseDataWrapper'
        '400':
          $ref: '#/components/responses/verify_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const verifyProfileData = await client.verifyProfiles.create({ name:
            'Test Profile' });


            console.log(verifyProfileData.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            verify_profile_data = client.verify_profiles.create(
                name="Test Profile",
            )
            print(verify_profile_data.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tverifyProfileData, err := client.VerifyProfiles.New(context.TODO(), telnyx.VerifyProfileNewParams{\n\t\tName: \"Test Profile\",\n\t})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", verifyProfileData.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.verifyprofiles.VerifyProfileCreateParams;

            import com.telnyx.sdk.models.verifyprofiles.VerifyProfileData;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    VerifyProfileCreateParams params = VerifyProfileCreateParams.builder()
                        .name("Test Profile")
                        .build();
                    VerifyProfileData verifyProfileData = client.verifyProfiles().create(params);
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            verify_profile_data = telnyx.verify_profiles.create(name: "Test
            Profile")


            puts(verify_profile_data)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $verifyProfileData = $client->verifyProfiles->create(
                name: 'Test Profile',
                call: [
                  'appName' => 'Example Secure App',
                  'codeLength' => 6,
                  'defaultVerificationTimeoutSecs' => 300,
                  'messagingTemplateID' => '0abb5b4f-459f-445a-bfcd-488998b7572d',
                  'whitelistedDestinations' => ['US', 'CA'],
                ],
                dailySpendLimit: 100,
                dailySpendLimitEnabled: true,
                flashcall: [
                  'appName' => 'Example Secure App',
                  'defaultVerificationTimeoutSecs' => 300,
                  'whitelistedDestinations' => ['US', 'CA'],
                ],
                language: 'en-US',
                sms: [
                  'alphaSender' => 'sqF',
                  'appName' => 'Example Secure App',
                  'codeLength' => 6,
                  'defaultVerificationTimeoutSecs' => 300,
                  'messagingTemplateID' => '0abb5b4f-459f-445a-bfcd-488998b7572d',
                  'whitelistedDestinations' => ['US', 'CA'],
                ],
                webhookFailoverURL: 'http://example.com/webhook/failover',
                webhookURL: 'http://example.com/webhook',
                whatsapp: [
                  'defaultVerificationTimeoutSecs' => 300,
                  'senderPhoneNumber' => '+13035551234',
                  'templateID' => 'authentication_template_name',
                  'wabaID' => '1234567890',
                  'whitelistedDestinations' => ['US', 'CA'],
                ],
              );

              var_dump($verifyProfileData);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx verify-profiles create \
              --api-key 'My API Key' \
              --name 'Test Profile'
components:
  schemas:
    CreateVerifyProfileSMSRequest:
      title: CreateVerifyProfileSMSRequest
      type: object
      properties:
        messaging_template_id:
          example: 0abb5b4f-459f-445a-bfcd-488998b7572d
          format: uuid
          type: string
          description: >-
            The message template identifier selected from
            /verify_profiles/templates
        app_name:
          example: Example Secure App
          description: >-
            The name that identifies the application requesting 2fa in the
            verification message.
          type: string
          pattern: ^[A-Za-z0-9 -]{1,30}$
        alpha_sender:
          description: >-
            The alphanumeric sender ID to use when sending to destinations that
            require an alphanumeric sender ID.
          type:
            - string
            - 'null'
          pattern: ^[A-Za-z0-9 ]{1,11}$
          default: Telnyx
        code_length:
          example: 6
          type: integer
          description: The length of the verify code to generate.
          default: 5
        whitelisted_destinations:
          description: >-
            Enabled country destinations to send verification codes. The
            elements in the list must be valid ISO 3166-1 alpha-2 country codes.
            If set to `["*"]`, all destinations will be allowed. **Conditionally
            required:** this field must be provided when your organization is
            configured to require explicit whitelisted destinations; otherwise
            it is optional.
          example:
            - US
            - CA
          type: array
          items:
            description: ISO 3166-1 alpha-2 country code
            type: string
            pattern: ^[A-Z]{2}$
        default_verification_timeout_secs:
          example: 300
          description: >-
            For every request that is initiated via this Verify profile, this
            sets the number of seconds before a verification request code
            expires. Once the verification request expires, the user cannot use
            the code to verify their identity.
          type: integer
          default: 300
    CreateVerifyProfileCallRequest:
      title: CreateVerifyProfileCallRequest
      type: object
      properties:
        messaging_template_id:
          example: 0abb5b4f-459f-445a-bfcd-488998b7572d
          format: uuid
          type: string
          description: >-
            The message template identifier selected from
            /verify_profiles/templates
        app_name:
          example: Example Secure App
          description: >-
            The name that identifies the application requesting 2fa in the
            verification message.
          type: string
          pattern: ^[A-Za-z0-9 -]{1,30}$
        code_length:
          example: 6
          type: integer
          description: The length of the verify code to generate.
          default: 5
        whitelisted_destinations:
          description: >-
            Enabled country destinations to send verification codes. The
            elements in the list must be valid ISO 3166-1 alpha-2 country codes.
            If set to `["*"]`, all destinations will be allowed. **Conditionally
            required:** this field must be provided when your organization is
            configured to require explicit whitelisted destinations; otherwise
            it is optional.
          example:
            - US
            - CA
          type: array
          items:
            description: ISO 3166-1 alpha-2 country code
            type: string
            pattern: ^[A-Z]{2}$
        default_verification_timeout_secs:
          example: 300
          description: >-
            For every request that is initiated via this Verify profile, this
            sets the number of seconds before a verification request code
            expires. Once the verification request expires, the user cannot use
            the code to verify their identity.
          type: integer
          default: 300
    CreateVerifyProfileSettingsRequest:
      title: CreateVerifyProfileSettingsRequest
      type: object
      properties:
        whitelisted_destinations:
          description: >-
            Enabled country destinations to send verification codes. The
            elements in the list must be valid ISO 3166-1 alpha-2 country codes.
            If set to `["*"]`, all destinations will be allowed. **Conditionally
            required:** this field must be provided when your organization is
            configured to require explicit whitelisted destinations; otherwise
            it is optional.
          example:
            - US
            - CA
          type: array
          items:
            description: ISO 3166-1 alpha-2 country code
            type: string
            pattern: ^[A-Z]{2}$
        app_name:
          example: Example Secure App
          description: >-
            The name that identifies the application requesting 2fa in the
            verification message.
          type: string
          pattern: ^[A-Za-z0-9 -]{1,30}$
        default_verification_timeout_secs:
          example: 300
          description: >-
            For every request that is initiated via this Verify profile, this
            sets the number of seconds before a verification request code
            expires. Once the verification request expires, the user cannot use
            the code to verify their identity.
          type: integer
          default: 300
    CreateVerifyProfileSettingsWhatsAppRequest:
      title: CreateVerifyProfileSettingsWhatsAppRequest
      type: object
      properties:
        whitelisted_destinations:
          description: >-
            Enabled country destinations to send verification codes. The
            elements in the list must be valid ISO 3166-1 alpha-2 country codes.
            If set to `["*"]`, all destinations will be allowed. **Conditionally
            required:** this field must be provided when your organization is
            configured to require explicit whitelisted destinations; otherwise
            it is optional.
          example:
            - US
            - CA
          type: array
          items:
            description: ISO 3166-1 alpha-2 country code
            type: string
            pattern: ^[A-Z]{2}$
        default_verification_timeout_secs:
          example: 300
          description: >-
            For every request that is initiated via this Verify profile, this
            sets the number of seconds before a verification request code
            expires. Once the verification request expires, the user cannot use
            the code to verify their identity.
          type: integer
          default: 300
        waba_id:
          example: '1234567890'
          type:
            - string
            - 'null'
          description: Customer Meta WABA ID for Bring-Your-Own-WABA sending
          default: null
        sender_phone_number:
          example: '+13035551234'
          type:
            - string
            - 'null'
          description: Phone number registered on the customer WABA to send OTPs from
          default: null
        template_id:
          example: authentication_template_name
          type:
            - string
            - 'null'
          description: >-
            Customer pre-approved authentication template name registered on
            Meta
          default: null
    VerifyProfileResponseDataWrapper:
      title: VerifyProfileResponseDataWrapper
      type: object
      properties:
        data:
          $ref: '#/components/schemas/VerifyProfileResponse'
          type: object
          additionalProperties: true
    VerifyProfileResponse:
      title: VerifyProfileResponse
      type: object
      properties:
        id:
          example: 12ade33a-21c0-473b-b055-b3c836e1c292
          format: uuid
          type: string
        name:
          example: Test Profile
          type: string
        webhook_url:
          type: string
          example: http://example.com/webhook
        webhook_failover_url:
          type: string
          example: http://example.com/webhook/failover
        daily_spend_limit_enabled:
          type: boolean
          default: false
          description: Whether the daily spend limit is enforced for this verify profile.
          example: true
        daily_spend_limit:
          type: number
          minimum: 0
          description: The maximum daily spend allowed on this verify profile, in USD.
          example: 100
        record_type:
          $ref: '#/components/schemas/VerificationProfileRecordType'
        created_at:
          example: '2020-09-14T17:03:32.965812'
          type: string
        updated_at:
          example: '2020-09-14T17:03:32.965812'
          type: string
        language:
          type: string
          example: en-US
        sms:
          $ref: '#/components/schemas/VerifyProfileSMSResponse'
          type: object
          additionalProperties: true
        call:
          $ref: '#/components/schemas/VerifyProfileCallResponse'
          type: object
          additionalProperties: true
        flashcall:
          $ref: '#/components/schemas/VerifyProfileFlashcallResponse'
          type: object
          additionalProperties: true
        whatsapp:
          $ref: '#/components/schemas/VerifyProfileWhatsAppResponse'
          type: object
          additionalProperties: true
    verify_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/verify_Error'
      type: object
    VerificationProfileRecordType:
      title: VerificationProfileRecordType
      enum:
        - verification_profile
      type: string
      example: verification_profile
      description: The possible verification profile record types.
    VerifyProfileSMSResponse:
      title: VerifyProfileSMSResponse
      type: object
      properties:
        messaging_template_id:
          example: 0abb5b4f-459f-445a-bfcd-488998b7572d
          format: uuid
          type: string
          description: >-
            The message template identifier selected from
            /verify_profiles/templates
        app_name:
          example: Example Secure App
          description: >-
            The name that identifies the application requesting 2fa in the
            verification message.
          type: string
          pattern: ^[A-Za-z0-9 -]{1,30}$
        alpha_sender:
          description: >-
            The alphanumeric sender ID to use when sending to destinations that
            require an alphanumeric sender ID.
          type:
            - string
            - 'null'
          pattern: ^[A-Za-z0-9 ]{1,11}$
          default: Telnyx
        code_length:
          example: 6
          type: integer
          description: The length of the verify code to generate.
          default: 5
        whitelisted_destinations:
          description: >-
            Enabled country destinations to send verification codes. The
            elements in the list must be valid ISO 3166-1 alpha-2 country codes.
            If set to `["*"]`, all destinations will be allowed. **Conditionally
            required:** this field must be provided when your organization is
            configured to require explicit whitelisted destinations; otherwise
            it is optional.
          example:
            - US
            - CA
          type: array
          items:
            description: ISO 3166-1 alpha-2 country code
            type: string
            pattern: ^[A-Z]{2}$
        default_verification_timeout_secs:
          example: 300
          description: >-
            For every request that is initiated via this Verify profile, this
            sets the number of seconds before a verification request code
            expires. Once the verification request expires, the user cannot use
            the code to verify their identity.
          type: integer
          default: 300
    VerifyProfileCallResponse:
      title: VerifyProfileCallResponse
      type: object
      properties:
        messaging_template_id:
          example: 0abb5b4f-459f-445a-bfcd-488998b7572d
          format: uuid
          type: string
          description: >-
            The message template identifier selected from
            /verify_profiles/templates
        app_name:
          example: Example Secure App
          description: >-
            The name that identifies the application requesting 2fa in the
            verification message.
          type: string
          pattern: ^[A-Za-z0-9 -]{1,30}$
        code_length:
          example: 6
          type: integer
          description: The length of the verify code to generate.
          default: 5
        whitelisted_destinations:
          description: >-
            Enabled country destinations to send verification codes. The
            elements in the list must be valid ISO 3166-1 alpha-2 country codes.
            If set to `["*"]`, all destinations will be allowed. **Conditionally
            required:** this field must be provided when your organization is
            configured to require explicit whitelisted destinations; otherwise
            it is optional.
          example:
            - US
            - CA
          type: array
          items:
            description: ISO 3166-1 alpha-2 country code
            type: string
            pattern: ^[A-Z]{2}$
        default_verification_timeout_secs:
          example: 300
          description: >-
            For every request that is initiated via this Verify profile, this
            sets the number of seconds before a verification request code
            expires. Once the verification request expires, the user cannot use
            the code to verify their identity.
          type: integer
          default: 300
    VerifyProfileFlashcallResponse:
      title: VerifyProfileFlashcallResponse
      type: object
      properties:
        app_name:
          example: Example Secure App
          description: >-
            The name that identifies the application requesting 2fa in the
            verification message.
          type: string
          pattern: ^[A-Za-z0-9 -]{1,30}$
        default_verification_timeout_secs:
          example: 300
          description: >-
            For every request that is initiated via this Verify profile, this
            sets the number of seconds before a verification request code
            expires. Once the verification request expires, the user cannot use
            the code to verify their identity.
          type: integer
          default: 300
    VerifyProfileWhatsAppResponse:
      title: VerifyProfileWhatsAppResponse
      type: object
      properties:
        messaging_template_id:
          example: 0abb5b4f-459f-445a-bfcd-488998b7572d
          format: uuid
          type: string
          description: >-
            The message template identifier selected from
            /verify_profiles/templates
        app_name:
          example: Example Secure App
          description: >-
            The name that identifies the application requesting 2fa in the
            verification message.
          type: string
          pattern: ^[A-Za-z0-9 -]{1,30}$
        code_length:
          example: 6
          type: integer
          description: The length of the verify code to generate.
          default: 5
        whitelisted_destinations:
          description: >-
            Enabled country destinations to send verification codes. The
            elements in the list must be valid ISO 3166-1 alpha-2 country codes.
            If set to `["*"]`, all destinations will be allowed. **Conditionally
            required:** this field must be provided when your organization is
            configured to require explicit whitelisted destinations; otherwise
            it is optional.
          example:
            - US
            - CA
          type: array
          items:
            description: ISO 3166-1 alpha-2 country code
            type: string
            pattern: ^[A-Z]{2}$
        default_verification_timeout_secs:
          example: 300
          description: >-
            For every request that is initiated via this Verify profile, this
            sets the number of seconds before a verification request code
            expires. Once the verification request expires, the user cannot use
            the code to verify their identity.
          type: integer
          default: 300
        waba_id:
          example: '1234567890'
          type:
            - string
            - 'null'
          description: Customer Meta WABA ID for Bring-Your-Own-WABA sending
          default: null
        sender_phone_number:
          example: '+13035551234'
          type:
            - string
            - 'null'
          description: Phone number registered on the customer WABA to send OTPs from
          default: null
        template_id:
          example: authentication_template_name
          type:
            - string
            - 'null'
          description: >-
            Customer pre-approved authentication template name registered on
            Meta
          default: null
    verify_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
          example: '10015'
        title:
          type: string
          example: Invalid sorting value
        detail:
          type: string
          example: >-
            The value provided for sorting is not valid. Check the value used
            and try again.
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
              example: /sort
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          properties:
            url:
              type: string
              description: URL with additional information on the error.
              example: https://developers.telnyx.com/docs/overview/errors/10015
      type: object
  responses:
    verify_GenericErrorResponse:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/verify_Errors'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````